# -*- coding: utf-8 -*-
# Copyright (C) 2005 Lateef Alabi-Oki
#
# This file is part of Scribes.
#
# Scribes is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Scribes is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Scribes; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

u"""
All tooltips for Scribes are contained in this module.

@author: Lateef Alabi-Oki
@organiation: The Scribes Project
@copyright: Copyright © 2005 Lateef Alabi-Oki
@license: GNU GPLv2 or Later
@contact: mystilleef@gmail.com

"""

from gtk import Tooltips

from internationalization import msg0097, msg0098, msg0099, msg0100, msg0101
from internationalization import msg0102, msg0103, msg0104, msg0105, msg0106
from internationalization import msg0107, msg0108, msg0109, msg0110, msg0111
from internationalization import msg0112, msg0113, msg0114, msg0115, msg0116
from internationalization import msg0117, msg0118, msg0119, msg0120, msg0121

# See internationalization.py for the contents of these messages.

# Tooltips for the toolbar buttons

new_button_tip = msg0097 + u" (Ctrl - n)"
open_button_tip = msg0098 + u" (Ctrl - o)"
save_button_tip = msg0099 + u" (Ctrl - Shift - s)"
print_button_tip = msg0100 + u" (Ctrl - p)"
undo_button_tip = msg0101 + u" (Ctrl - z)"
redo_button_tip = msg0102 + u" (Ctrl - Shift -z)"
find_button_tip = msg0103 + u" (Ctrl - f)"
replace_button_tip = msg0104 + u" (Ctrl - r)"
goto_button_tip = msg0105 + u" (Ctrl - i)"
pref_button_tip = msg0106 + u" (F12)"
help_button_tip = msg0107 + u" (F1)"

# Tooltips for the findbar

previous_button_tip = msg0108
next_button_tip = msg0109
match_case_button_tip = msg0110
match_word_button_tip = msg0111
entry_tip = msg0112

# Tooltips for the replacebar

replace_entry_tip = msg0113
replace_button_tips = msg0114
replaceall_button_tip = msg0115

# Tooltips for the preference dialog

font_button_tip = msg0116
tab_spin_button_tip = msg0117
tw_check_button_tip = msg0118
margin_check_button_tip = msg0119
margin_spin_button_tip = msg0120
spell_check_button_tip = msg0121


def create_tooltips():
	u"""
	Create a tooltip object

	@return: a tooltip object
	@rtype: GTK Tooltips
	"""

	tips = Tooltips()
	tips.enable

	return tips